Name:		b43-openfwwf
Version:	5.2
Release:        2%{?_dist_release}
Summary:	Open firmware for some Broadcom 43xx series WLAN chip
Summary(ja):	Broadcom 43xx シリーズ無線LAN用のオープンファームウエア

Group:		System Environment/Kernel
License:	GPLv2
URL:		http://www.ing.unibs.it/openfwwf/
Source0:	http://www.ing.unibs.it/openfwwf/firmware/openfwwf-%{version}.tar.gz
Source1:	README.openfwwf
Source2:	openfwwf.conf
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
BuildRequires:	b43-tools
Requires:	udev
Requires:	module-init-tools

Vendor:		Project Vine
Distribution:	Vine Linux

%description
Open firmware for some Broadcom 43xx series WLAN chips.
Currently supported models are 4306, 4311(rev1), 4318 and 4320.


%prep
%setup -q -n openfwwf-%{version}
sed -i s/"-o 0 -g 0"// Makefile
install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/lib/firmware/b43-open
install -p -D -m 0644 openfwwf.conf $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/openfwwf.conf



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING LICENSE README.openfwwf
%dir /lib/firmware/b43-open
/lib/firmware/b43-open/b0g0bsinitvals5.fw
/lib/firmware/b43-open/b0g0initvals5.fw
/lib/firmware/b43-open/ucode5.fw
%{_sysconfdir}/modprobe.d/openfwwf.conf


%changelog
* Tue Mar 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 5.2-2
- rebuilt on current VineSeed
- added Vendor and Distribution tag

* Thu Aug 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 	5.2-1
- initial build for Vine Linux

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Peter Lemenkov <lemenkov@gmail.com> 5.2-1
- Ver. 5.2

* Mon Jun 29 2009 Peter Lemenkov <lemenkov@gmail.com> 5.1-3
- Changed README a lot
- Changed description

* Fri Jun  5 2009 Peter Lemenkov <lemenkov@gmail.com> 5.1-2
- Added config-file for modprobe

* Wed Mar 18 2009 Peter Lemenkov <lemenkov@gmail.com> 5.1-1
- Initial package for Fedora

